<?php

$mysqli = new mysqli("localhost", "root", "", "cms");
$table = 'user_data';
if ($mysqli->connect_error) {
    die("MYSQL ISSUE : " . $mysqli->connect_error);
}

$mysqli->set_charset("utf8");
$stmt = $mysqli->stmt_init();



function get_user_data($uid){
    global $table;
	$data = getData("select * from `{$table}` WHERE id=?" , [$uid]);
	$data = end($data);
	return $data;
}

function getData($uquery,$data){
    global $mysqli;
    global $stmt;
    $query = $uquery;
    $rows = [];
  
    $stmt->prepare($query);
	$stmt->bind_param(str_repeat("s",count($data)), ...$data);
 
	if ($stmt->execute() && $res = $stmt->get_result()) {
    	if ($stmt->affected_rows || $res->num_rows) {
        	while ($row = $res->fetch_assoc()) {
            	$rows[] = $row;
        	}
    	}
	}
    return $rows;
}

function setData($uquery , $data){
    global $mysqli;
    global $stmt;
     
    $query = $uquery;
    $stmt->prepare($query);
    $type = str_repeat("s",count($data));
    $stmt->bind_param($type, ...$data);
    $inserted_id=0;
    if ($stmt->execute()) {
        $inserted_id = $stmt->affected_rows ? $stmt->insert_id : 0;
    }
    return $inserted_id;
}

function getBaseHttp(){
    $path_www = $_SERVER['SERVER_NAME'] . $_SERVER['PHP_SELF'];
    $path_www = explode("/", $path_www);
    $path_www_size = count($path_www)-1;
    unset($path_www[$path_www_size]);
    $path_www = implode("/", $path_www);
    return $path_www;
}



?>